# eric7.MicroPython.MicroPythonProgressInfoDialog

Module implementing a dialog to show progress messages.

### Global Attributes

None

### Classes

MicroPythonProgressInfoDialog | Class implementing a dialog to show progress messages.

### Functions

None

## MicroPythonProgressInfoDialog

Class implementing a dialog to show progress messages.

### Derived from

QDialog, Ui_MicroPythonProgressInfoDialog

### Class Attributes

None

### Class Methods

None

### Methods

MicroPythonProgressInfoDialog | Constructor
addMessage | Public slot to add a message to the progress display.

### Static Methods

None

#### MicroPythonProgressInfoDialog (Constructor)

MicroPythonProgressInfoDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### MicroPythonProgressInfoDialog.addMessage

addMessage(message)

Public slot to add a message to the progress display.

message (str)
  progress information to be shown

Up